<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: dragdrop   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Drag and Drop&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_dragdrop.html">dragdrop</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: dragdrop
                    


                    </h3>
                    <div class="description summary">
                        The drag and drop utility provides a framework for building drag and drop
applications.  In addition to enabling drag and drop for specific elements,
the drag and drop elements are tracked by the manager class, and the
interactions between the various elements are tracked during the drag and
the implementing code is notified about these important moments.
                    </div>

                    <form onsubmit="return false">
                        <p>Search dragdrop:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.util.DragDrop.html#addInvalidHandleClass", "host": "YAHOO.util.DragDrop", "name": "addInvalidHandleClass"}, {"url": "YAHOO.util.DragDrop.html#addInvalidHandleId", "host": "YAHOO.util.DragDrop", "name": "addInvalidHandleId"}, {"url": "YAHOO.util.DragDrop.html#addInvalidHandleType", "host": "YAHOO.util.DragDrop", "name": "addInvalidHandleType"}, {"url": "YAHOO.util.DragDropMgr.html#_addListeners", "host": "YAHOO.util.DragDropMgr", "name": "_addListeners"}, {"url": "YAHOO.util.DragDrop.html#addToGroup", "host": "YAHOO.util.DragDrop", "name": "addToGroup"}, {"url": "YAHOO.util.DD.html#alignElWithMouse", "host": "YAHOO.util.DD", "name": "alignElWithMouse"}, {"url": "YAHOO.util.DragDrop.html#applyConfig", "host": "YAHOO.util.DragDrop", "name": "applyConfig"}, {"url": "YAHOO.util.DD.html#autoOffset", "host": "YAHOO.util.DD", "name": "autoOffset"}, {"url": "YAHOO.util.DD.html#autoScroll", "host": "YAHOO.util.DD", "name": "autoScroll"}, {"url": "YAHOO.util.DragDrop.html#available", "host": "YAHOO.util.DragDrop", "name": "available"}, {"url": "YAHOO.util.DragDrop.html#b4Drag", "host": "YAHOO.util.DragDrop", "name": "b4Drag"}, {"url": "YAHOO.util.DragDrop.html#b4DragDrop", "host": "YAHOO.util.DragDrop", "name": "b4DragDrop"}, {"url": "YAHOO.util.DragDrop.html#b4DragOut", "host": "YAHOO.util.DragDrop", "name": "b4DragOut"}, {"url": "YAHOO.util.DragDrop.html#b4DragOver", "host": "YAHOO.util.DragDrop", "name": "b4DragOver"}, {"url": "YAHOO.util.DragDrop.html#b4EndDrag", "host": "YAHOO.util.DragDrop", "name": "b4EndDrag"}, {"url": "YAHOO.util.DragDrop.html#b4MouseDown", "host": "YAHOO.util.DragDrop", "name": "b4MouseDown"}, {"url": "YAHOO.util.DragDrop.html#b4StartDrag", "host": "YAHOO.util.DragDrop", "name": "b4StartDrag"}, {"url": "YAHOO.util.DD.html#cachePosition", "host": "YAHOO.util.DD", "name": "cachePosition"}, {"url": "YAHOO.util.DDProxy.html#centerFrame", "host": "YAHOO.util.DDProxy", "name": "centerFrame"}, {"url": "YAHOO.util.DragDrop.html#clearConstraints", "host": "YAHOO.util.DragDrop", "name": "clearConstraints"}, {"url": "YAHOO.util.DragDrop.html#clearTicks", "host": "YAHOO.util.DragDrop", "name": "clearTicks"}, {"url": "YAHOO.util.DragDropMgr.html#clickPixelThresh", "host": "YAHOO.util.DragDropMgr", "name": "clickPixelThresh"}, {"url": "YAHOO.util.DragDropMgr.html#clickTimeout", "host": "YAHOO.util.DragDropMgr", "name": "clickTimeout"}, {"url": "YAHOO.util.DragDropMgr.html#clickTimeThresh", "host": "YAHOO.util.DragDropMgr", "name": "clickTimeThresh"}, {"url": "YAHOO.util.DragDrop.html#config", "host": "YAHOO.util.DragDrop", "name": "config"}, {"url": "YAHOO.util.DragDrop.html#constrainX", "host": "YAHOO.util.DragDrop", "name": "constrainX"}, {"url": "YAHOO.util.DragDrop.html#constrainY", "host": "YAHOO.util.DragDrop", "name": "constrainY"}, {"url": "YAHOO.util.DDProxy.html#createFrame", "host": "YAHOO.util.DDProxy", "name": "createFrame"}, {"url": "YAHOO.util.DragDropMgr.ElementWrapper.html#css", "host": "YAHOO.util.DragDropMgr.ElementWrapper", "name": "css"}, {"url": "YAHOO.util.DragDropMgr.html#deltaX", "host": "YAHOO.util.DragDropMgr", "name": "deltaX"}, {"url": "YAHOO.util.DragDropMgr.html#deltaY", "host": "YAHOO.util.DragDropMgr", "name": "deltaY"}, {"url": "YAHOO.util.DragDrop.html#_domRef", "host": "YAHOO.util.DragDrop", "name": "_domRef"}, {"url": "YAHOO.util.DragDropMgr.html#dragCurrent", "host": "YAHOO.util.DragDropMgr", "name": "dragCurrent"}, {"url": "YAHOO.util.DragDrop.html#dragElId", "host": "YAHOO.util.DragDrop", "name": "dragElId"}, {"url": "YAHOO.util.DragDropMgr.html#dragOvers", "host": "YAHOO.util.DragDropMgr", "name": "dragOvers"}, {"url": "YAHOO.util.DragDropMgr.html#dragThreshMet", "host": "YAHOO.util.DragDropMgr", "name": "dragThreshMet"}, {"url": "YAHOO.util.DragDropMgr.ElementWrapper.html#el", "host": "YAHOO.util.DragDropMgr.ElementWrapper", "name": "el"}, {"url": "YAHOO.util.DragDropMgr.html#elementCache", "host": "YAHOO.util.DragDropMgr", "name": "elementCache"}, {"url": "YAHOO.util.DragDrop.html#endDrag", "host": "YAHOO.util.DragDrop", "name": "endDrag"}, {"url": "YAHOO.util.DragDropMgr.html#_execOnAll", "host": "YAHOO.util.DragDropMgr", "name": "_execOnAll"}, {"url": "YAHOO.util.DragDropMgr.html#fireEvents", "host": "YAHOO.util.DragDropMgr", "name": "fireEvents"}, {"url": "YAHOO.util.DragDropMgr.html#getBestMatch", "host": "YAHOO.util.DragDropMgr", "name": "getBestMatch"}, {"url": "YAHOO.util.DragDropMgr.html#getClientHeight", "host": "YAHOO.util.DragDropMgr", "name": "getClientHeight"}, {"url": "YAHOO.util.DragDropMgr.html#getClientWidth", "host": "YAHOO.util.DragDropMgr", "name": "getClientWidth"}, {"url": "YAHOO.util.DragDropMgr.html#getCss", "host": "YAHOO.util.DragDropMgr", "name": "getCss"}, {"url": "YAHOO.util.DragDropMgr.html#getDDById", "host": "YAHOO.util.DragDropMgr", "name": "getDDById"}, {"url": "YAHOO.util.DragDrop.html#getDragEl", "host": "YAHOO.util.DragDrop", "name": "getDragEl"}, {"url": "YAHOO.util.DragDrop.html#getEl", "host": "YAHOO.util.DragDrop", "name": "getEl"}, {"url": "YAHOO.util.DragDropMgr.html#getElement", "host": "YAHOO.util.DragDropMgr", "name": "getElement"}, {"url": "YAHOO.util.DragDropMgr.html#getElWrapper", "host": "YAHOO.util.DragDropMgr", "name": "getElWrapper"}, {"url": "YAHOO.util.DragDropMgr.html#getLocation", "host": "YAHOO.util.DragDropMgr", "name": "getLocation"}, {"url": "YAHOO.util.DragDropMgr.html#getPosX", "host": "YAHOO.util.DragDropMgr", "name": "getPosX"}, {"url": "YAHOO.util.DragDropMgr.html#getPosY", "host": "YAHOO.util.DragDropMgr", "name": "getPosY"}, {"url": "YAHOO.util.DragDropMgr.html#getRelated", "host": "YAHOO.util.DragDropMgr", "name": "getRelated"}, {"url": "YAHOO.util.DragDropMgr.html#getScroll", "host": "YAHOO.util.DragDropMgr", "name": "getScroll"}, {"url": "YAHOO.util.DragDropMgr.html#getScrollLeft", "host": "YAHOO.util.DragDropMgr", "name": "getScrollLeft"}, {"url": "YAHOO.util.DragDropMgr.html#getScrollTop", "host": "YAHOO.util.DragDropMgr", "name": "getScrollTop"}, {"url": "YAHOO.util.DragDropMgr.html#getStyle", "host": "YAHOO.util.DragDropMgr", "name": "getStyle"}, {"url": "YAHOO.util.DD.html#getTargetCoord", "host": "YAHOO.util.DD", "name": "getTargetCoord"}, {"url": "YAHOO.util.DragDrop.html#getTick", "host": "YAHOO.util.DragDrop", "name": "getTick"}, {"url": "YAHOO.util.DragDrop.html#groups", "host": "YAHOO.util.DragDrop", "name": "groups"}, {"url": "YAHOO.util.DragDrop.html#handleElId", "host": "YAHOO.util.DragDrop", "name": "handleElId"}, {"url": "YAHOO.util.DragDropMgr.html#handleIds", "host": "YAHOO.util.DragDropMgr", "name": "handleIds"}, {"url": "YAHOO.util.DragDrop.html#handleMouseDown", "host": "YAHOO.util.DragDrop", "name": "handleMouseDown"}, {"url": "YAHOO.util.DragDropMgr.html#handleMouseDown", "host": "YAHOO.util.DragDropMgr", "name": "handleMouseDown"}, {"url": "YAHOO.util.DragDropMgr.html#handleMouseMove", "host": "YAHOO.util.DragDropMgr", "name": "handleMouseMove"}, {"url": "YAHOO.util.DragDropMgr.html#handleMouseUp", "host": "YAHOO.util.DragDropMgr", "name": "handleMouseUp"}, {"url": "YAHOO.util.DragDrop.html#handleOnAvailable", "host": "YAHOO.util.DragDrop", "name": "handleOnAvailable"}, {"url": "YAHOO.util.DragDropMgr.html#handleWasClicked", "host": "YAHOO.util.DragDropMgr", "name": "handleWasClicked"}, {"url": "YAHOO.util.DragDrop.html#hasOuterHandles", "host": "YAHOO.util.DragDrop", "name": "hasOuterHandles"}, {"url": "YAHOO.util.DragDrop.html#id", "host": "YAHOO.util.DragDrop", "name": "id"}, {"url": "YAHOO.util.DragDropMgr.ElementWrapper.html#id", "host": "YAHOO.util.DragDropMgr.ElementWrapper", "name": "id"}, {"url": "YAHOO.util.DragDropMgr.html#ids", "host": "YAHOO.util.DragDropMgr", "name": "ids"}, {"url": "YAHOO.util.DragDrop.html#init", "host": "YAHOO.util.DragDrop", "name": "init"}, {"url": "YAHOO.util.DragDropMgr.html#init", "host": "YAHOO.util.DragDropMgr", "name": "init"}, {"url": "YAHOO.util.DDProxy.html#initFrame", "host": "YAHOO.util.DDProxy", "name": "initFrame"}, {"url": "YAHOO.util.DragDropMgr.html#initialized", "host": "YAHOO.util.DragDropMgr", "name": "initialized"}, {"url": "YAHOO.util.DragDrop.html#initTarget", "host": "YAHOO.util.DragDrop", "name": "initTarget"}, {"url": "YAHOO.util.DragDropMgr.html#INTERSECT", "host": "YAHOO.util.DragDropMgr", "name": "INTERSECT"}, {"url": "YAHOO.util.DragDrop.html#invalidHandleClasses", "host": "YAHOO.util.DragDrop", "name": "invalidHandleClasses"}, {"url": "YAHOO.util.DragDrop.html#invalidHandleIds", "host": "YAHOO.util.DragDrop", "name": "invalidHandleIds"}, {"url": "YAHOO.util.DragDrop.html#invalidHandleTypes", "host": "YAHOO.util.DragDrop", "name": "invalidHandleTypes"}, {"url": "YAHOO.util.DragDropMgr.html#isDragDrop", "host": "YAHOO.util.DragDropMgr", "name": "isDragDrop"}, {"url": "YAHOO.util.DragDropMgr.html#isHandle", "host": "YAHOO.util.DragDropMgr", "name": "isHandle"}, {"url": "YAHOO.util.DragDropMgr.html#isLegalTarget", "host": "YAHOO.util.DragDropMgr", "name": "isLegalTarget"}, {"url": "YAHOO.util.DragDrop.html#isLocked", "host": "YAHOO.util.DragDrop", "name": "isLocked"}, {"url": "YAHOO.util.DragDropMgr.html#isLocked", "host": "YAHOO.util.DragDropMgr", "name": "isLocked"}, {"url": "YAHOO.util.DragDropMgr.html#isOverTarget", "host": "YAHOO.util.DragDropMgr", "name": "isOverTarget"}, {"url": "YAHOO.util.DragDrop.html#isTarget", "host": "YAHOO.util.DragDrop", "name": "isTarget"}, {"url": "YAHOO.util.DragDropMgr.html#isTypeOfDD", "host": "YAHOO.util.DragDropMgr", "name": "isTypeOfDD"}, {"url": "YAHOO.util.DragDrop.html#isValidHandleChild", "host": "YAHOO.util.DragDrop", "name": "isValidHandleChild"}, {"url": "YAHOO.util.DragDropMgr.html#locationCache", "host": "YAHOO.util.DragDropMgr", "name": "locationCache"}, {"url": "YAHOO.util.DragDrop.html#lock", "host": "YAHOO.util.DragDrop", "name": "lock"}, {"url": "YAHOO.util.DragDropMgr.html#lock", "host": "YAHOO.util.DragDropMgr", "name": "lock"}, {"url": "YAHOO.util.DragDrop.html#locked", "host": "YAHOO.util.DragDrop", "name": "locked"}, {"url": "YAHOO.util.DragDropMgr.html#locked", "host": "YAHOO.util.DragDropMgr", "name": "locked"}, {"url": "YAHOO.util.DragDrop.html#maintainOffset", "host": "YAHOO.util.DragDrop", "name": "maintainOffset"}, {"url": "YAHOO.util.DragDrop.html#maxX", "host": "YAHOO.util.DragDrop", "name": "maxX"}, {"url": "YAHOO.util.DragDrop.html#maxY", "host": "YAHOO.util.DragDrop", "name": "maxY"}, {"url": "YAHOO.util.DragDrop.html#minX", "host": "YAHOO.util.DragDrop", "name": "minX"}, {"url": "YAHOO.util.DragDrop.html#minY", "host": "YAHOO.util.DragDrop", "name": "minY"}, {"url": "YAHOO.util.DragDropMgr.html#mode", "host": "YAHOO.util.DragDropMgr", "name": "mode"}, {"url": "YAHOO.util.DragDropMgr.html#moveToEl", "host": "YAHOO.util.DragDropMgr", "name": "moveToEl"}, {"url": "YAHOO.util.DragDropMgr.html#numericSort", "host": "YAHOO.util.DragDropMgr", "name": "numericSort"}, {"url": "YAHOO.util.DragDrop.html#onAvailable", "host": "YAHOO.util.DragDrop", "name": "onAvailable"}, {"url": "YAHOO.util.DragDrop.html#onDrag", "host": "YAHOO.util.DragDrop", "name": "onDrag"}, {"url": "YAHOO.util.DragDrop.html#onDragDrop", "host": "YAHOO.util.DragDrop", "name": "onDragDrop"}, {"url": "YAHOO.util.DragDrop.html#onDragEnter", "host": "YAHOO.util.DragDrop", "name": "onDragEnter"}, {"url": "YAHOO.util.DragDrop.html#onDragOut", "host": "YAHOO.util.DragDrop", "name": "onDragOut"}, {"url": "YAHOO.util.DragDrop.html#onDragOver", "host": "YAHOO.util.DragDrop", "name": "onDragOver"}, {"url": "YAHOO.util.DragDrop.html#onInvalidDrop", "host": "YAHOO.util.DragDrop", "name": "onInvalidDrop"}, {"url": "YAHOO.util.DragDropMgr.html#_onLoad", "host": "YAHOO.util.DragDropMgr", "name": "_onLoad"}, {"url": "YAHOO.util.DragDrop.html#onMouseDown", "host": "YAHOO.util.DragDrop", "name": "onMouseDown"}, {"url": "YAHOO.util.DragDrop.html#onMouseUp", "host": "YAHOO.util.DragDrop", "name": "onMouseUp"}, {"url": "YAHOO.util.DragDropMgr.html#_onResize", "host": "YAHOO.util.DragDropMgr", "name": "_onResize"}, {"url": "YAHOO.util.DragDropMgr.html#_onUnload", "host": "YAHOO.util.DragDropMgr", "name": "_onUnload"}, {"url": "YAHOO.util.DragDrop.html#padding", "host": "YAHOO.util.DragDrop", "name": "padding"}, {"url": "YAHOO.util.DragDropMgr.html#POINT", "host": "YAHOO.util.DragDropMgr", "name": "POINT"}, {"url": "YAHOO.util.DragDropMgr.html#preventDefault", "host": "YAHOO.util.DragDropMgr", "name": "preventDefault"}, {"url": "YAHOO.util.DragDrop.html#primaryButtonOnly", "host": "YAHOO.util.DragDrop", "name": "primaryButtonOnly"}, {"url": "YAHOO.util.DragDropMgr.html#refreshCache", "host": "YAHOO.util.DragDropMgr", "name": "refreshCache"}, {"url": "YAHOO.util.DragDropMgr.html#regDragDrop", "host": "YAHOO.util.DragDropMgr", "name": "regDragDrop"}, {"url": "YAHOO.util.DragDropMgr.html#regHandle", "host": "YAHOO.util.DragDropMgr", "name": "regHandle"}, {"url": "YAHOO.util.DragDropMgr.html#_remove", "host": "YAHOO.util.DragDropMgr", "name": "_remove"}, {"url": "YAHOO.util.DragDropMgr.html#removeDDFromGroup", "host": "YAHOO.util.DragDropMgr", "name": "removeDDFromGroup"}, {"url": "YAHOO.util.DragDrop.html#removeFromGroup", "host": "YAHOO.util.DragDrop", "name": "removeFromGroup"}, {"url": "YAHOO.util.DragDrop.html#removeInvalidHandleClass", "host": "YAHOO.util.DragDrop", "name": "removeInvalidHandleClass"}, {"url": "YAHOO.util.DragDrop.html#removeInvalidHandleId", "host": "YAHOO.util.DragDrop", "name": "removeInvalidHandleId"}, {"url": "YAHOO.util.DragDrop.html#removeInvalidHandleType", "host": "YAHOO.util.DragDrop", "name": "removeInvalidHandleType"}, {"url": "YAHOO.util.DragDrop.html#resetConstraints", "host": "YAHOO.util.DragDrop", "name": "resetConstraints"}, {"url": "YAHOO.util.DDProxy.html#resizeFrame", "host": "YAHOO.util.DDProxy", "name": "resizeFrame"}, {"url": "YAHOO.util.DDProxy.html#_resizeProxy", "host": "YAHOO.util.DDProxy", "name": "_resizeProxy"}, {"url": "YAHOO.util.DD.html#scroll", "host": "YAHOO.util.DD", "name": "scroll"}, {"url": "YAHOO.util.DD.html#setDelta", "host": "YAHOO.util.DD", "name": "setDelta"}, {"url": "YAHOO.util.DragDrop.html#setDragElId", "host": "YAHOO.util.DragDrop", "name": "setDragElId"}, {"url": "YAHOO.util.DD.html#setDragElPos", "host": "YAHOO.util.DD", "name": "setDragElPos"}, {"url": "YAHOO.util.DragDrop.html#setHandleElId", "host": "YAHOO.util.DragDrop", "name": "setHandleElId"}, {"url": "YAHOO.util.DragDrop.html#setInitialPosition", "host": "YAHOO.util.DragDrop", "name": "setInitialPosition"}, {"url": "YAHOO.util.DragDrop.html#setOuterHandleElId", "host": "YAHOO.util.DragDrop", "name": "setOuterHandleElId"}, {"url": "YAHOO.util.DragDrop.html#setPadding", "host": "YAHOO.util.DragDrop", "name": "setPadding"}, {"url": "YAHOO.util.DragDrop.html#setStartPosition", "host": "YAHOO.util.DragDrop", "name": "setStartPosition"}, {"url": "YAHOO.util.DragDrop.html#setXConstraint", "host": "YAHOO.util.DragDrop", "name": "setXConstraint"}, {"url": "YAHOO.util.DragDrop.html#setXTicks", "host": "YAHOO.util.DragDrop", "name": "setXTicks"}, {"url": "YAHOO.util.DragDrop.html#setYConstraint", "host": "YAHOO.util.DragDrop", "name": "setYConstraint"}, {"url": "YAHOO.util.DragDrop.html#setYTicks", "host": "YAHOO.util.DragDrop", "name": "setYTicks"}, {"url": "YAHOO.util.DDProxy.html#showFrame", "host": "YAHOO.util.DDProxy", "name": "showFrame"}, {"url": "YAHOO.util.DragDrop.html#startDrag", "host": "YAHOO.util.DragDrop", "name": "startDrag"}, {"url": "YAHOO.util.DragDropMgr.html#startDrag", "host": "YAHOO.util.DragDropMgr", "name": "startDrag"}, {"url": "YAHOO.util.DragDrop.html#startPageX", "host": "YAHOO.util.DragDrop", "name": "startPageX"}, {"url": "YAHOO.util.DragDrop.html#startPageY", "host": "YAHOO.util.DragDrop", "name": "startPageY"}, {"url": "YAHOO.util.DragDropMgr.html#startX", "host": "YAHOO.util.DragDropMgr", "name": "startX"}, {"url": "YAHOO.util.DragDropMgr.html#startY", "host": "YAHOO.util.DragDropMgr", "name": "startY"}, {"url": "YAHOO.util.DragDropMgr.html#stopDrag", "host": "YAHOO.util.DragDropMgr", "name": "stopDrag"}, {"url": "YAHOO.util.DragDropMgr.html#stopEvent", "host": "YAHOO.util.DragDropMgr", "name": "stopEvent"}, {"url": "YAHOO.util.DragDropMgr.html#stopPropagation", "host": "YAHOO.util.DragDropMgr", "name": "stopPropagation"}, {"url": "YAHOO.util.DragDropMgr.html#STRICT_INTERSECT", "host": "YAHOO.util.DragDropMgr", "name": "STRICT_INTERSECT"}, {"url": "YAHOO.util.DragDropMgr.html#swapNode", "host": "YAHOO.util.DragDropMgr", "name": "swapNode"}, {"url": "YAHOO.util.DragDropMgr.html#_timeoutCount", "host": "YAHOO.util.DragDropMgr", "name": "_timeoutCount"}, {"url": "YAHOO.util.DragDrop.html#toString", "host": "YAHOO.util.DragDrop", "name": "toString"}, {"url": "YAHOO.util.DragDrop.html#unlock", "host": "YAHOO.util.DragDrop", "name": "unlock"}, {"url": "YAHOO.util.DragDropMgr.html#unlock", "host": "YAHOO.util.DragDropMgr", "name": "unlock"}, {"url": "YAHOO.util.DragDrop.html#unreg", "host": "YAHOO.util.DragDrop", "name": "unreg"}, {"url": "YAHOO.util.DragDropMgr.html#unregAll", "host": "YAHOO.util.DragDropMgr", "name": "unregAll"}, {"url": "YAHOO.util.DragDropMgr.html#useCache", "host": "YAHOO.util.DragDropMgr", "name": "useCache"}, {"url": "YAHOO.util.DragDropMgr.html#verifyEl", "host": "YAHOO.util.DragDropMgr", "name": "verifyEl"}, {"url": "YAHOO.util.DragDrop.html#xTicks", "host": "YAHOO.util.DragDrop", "name": "xTicks"}, {"url": "YAHOO.util.DDProxy.html#YAHOO.util.DDProxy.dragElId", "host": "YAHOO.util.DDProxy", "name": "YAHOO.util.DDProxy.dragElId"}, {"url": "YAHOO.util.DragDrop.html#__ygDragDrop", "host": "YAHOO.util.DragDrop", "name": "__ygDragDrop"}, {"url": "YAHOO.util.DragDrop.html#yTicks", "host": "YAHOO.util.DragDrop", "name": "yTicks"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class="selected"><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.DD.html">YAHOO.util.DD</a></li>
                                <li class=""><a href="YAHOO.util.DDProxy.html">YAHOO.util.DDProxy</a></li>
                                <li class=""><a href="YAHOO.util.DDTarget.html">YAHOO.util.DDTarget</a></li>
                                <li class=""><a href="YAHOO.util.DragDrop.html">YAHOO.util.DragDrop</a></li>
                                <li class=""><a href="YAHOO.util.DragDropMgr.html">YAHOO.util.DragDropMgr</a></li>
                                <li class=""><a href="YAHOO.util.DragDropMgr.ElementWrapper.html">YAHOO.util.DragDropMgr.ElementWrapper</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="DD.js.html">DD.js</a></li>
                                <li class=""><a href="DDProxy.js.html">DDProxy.js</a></li>
                                <li class=""><a href="DDTarget.js.html">DDTarget.js</a></li>
                                <li class=""><a href="DragDrop.js.html">DragDrop.js</a></li>
                                <li class=""><a href="DragDropMgr.js.html">DragDropMgr.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
